# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "fusionamm-client"
version = "1.0.79"
authors = ["info@fusionamm.com"]
build = false
include = ["src/*"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust client to interact with on-chain FusionAMM program."
homepage = "https://fusionamm.com"
readme = "README.md"
keywords = [
    "solana",
    "crypto",
    "defi",
    "dex",
    "amm",
]
license-file = "LICENSE"
repository = "https://github.com/DefiTuna/fusionamm-sdk"

[features]
anchor = ["dep:anchor-lang"]
anchor-idl-build = []
core-types = ["dep:fusionamm-core"]
default = ["core-types"]
fetch = []
serde = [
    "dep:serde",
    "dep:serde_with",
    "dep:serde-big-array",
]
solana-v1 = []

[lib]
name = "fusionamm_client"
path = "src/lib.rs"

[dependencies.anchor-lang]
version = ">=0.28, <0.33"
optional = true

[dependencies.borsh]
version = "^0.10"

[dependencies.fusionamm-core]
version = "1.0.79"
optional = true

[dependencies.num-derive]
version = "^0.4"

[dependencies.num-traits]
version = "^0.2"

[dependencies.serde]
version = "^1.0"
features = ["derive"]
optional = true

[dependencies.serde-big-array]
version = "^0.5"
optional = true

[dependencies.serde_with]
version = "^3.10"
optional = true

[dependencies.solana-account]
version = "^2.2"

[dependencies.solana-account-decoder]
version = "^2.2"

[dependencies.solana-account-info]
version = "^2.2"

[dependencies.solana-client]
version = "^2.2"

[dependencies.solana-cpi]
version = "^2.2"

[dependencies.solana-decode-error]
version = "^2.2"

[dependencies.solana-instruction]
version = "^2.2"

[dependencies.solana-msg]
version = "^2.2"

[dependencies.solana-program]
version = "^2.2"

[dependencies.solana-program-entrypoint]
version = "^2.2"

[dependencies.solana-program-error]
version = "^2.2"

[dependencies.solana-pubkey]
version = "^2.2"

[dependencies.thiserror]
version = "^2.0"
